/* FILE: setup.dsp              Copyright (c), Symmetric Research, 1992-1999
 *
 * This is a small program to test the DSPMON debugger with.  After
 * downloading it, try single stepping and setting breakpoints to see the
 * values of the registers change.
 *
 *
 */

constant

        RESET   = 000000,
        DATA    = 000100;



<DATA> dspf zero = 0.0, x = 1.25;


<RESET> main {

        r1 = 0;
        r2 = 0;
        r3 = 0;
        r4 = 0;
        r5 = 0;
        r6 = 0;
        r7 = 0;
        r8 = 0;
        r9 = 0;

        r1 = 1;
        r2 = 2;
        r3 = 3;
        r4 = 4;
        r5 = 5;
        r6 = 6;
        r7 = 7;
        r8 = 8;
        r9 = 9;

        r1 = zero;

                a0 = *r1;
                a1 = *r1;
                a2 = *r1;
                a3 = *r1;

        r1 = x;

                a0 = *r1;
                a1 = *r1;
                a2 = *r1;
                a3 = *r1;


        wait: goto wait;

}
