/* FILE: dsptools.h             Copyright (c), Symmetric Research, 1995-1999
 *
 * SR DSP32C DSPTOOLS function library include file.  It should ALWAYS be
 * included in C programs calling DSPTOOLS.
 *
 *
 *
 */


/* Including DSPIO.H provides defines and protos for
 *      FUNCTION AND VARIABLE TYPES
 *      DSPIO.C FUNCTIONS
 */

#include "dspio.h"





/* CONVERT.C FUNCTIONS:
 *
 *
 *
 */

FUNCTYPE( INT) DSP32C_AToDspf( char __far *line, float *x);
FUNCTYPE( INT) DSP32C_AToIeee( char __far *line, float *x);

FUNCTYPE( VOID) DSP32C_IeeeToDspf( float *x);
FUNCTYPE( VOID) DSP32C_DspfToIeee( float *x);

FUNCTYPE( PCHAR) DSP32C_IeeeToA( float *x);
FUNCTYPE( PCHAR) DSP32C_DspfToA( float *x);





/* DOWNLOAD.C FUNCTIONS:
 *
 *
 *
 */

#define NO_REPORT       0x0
#define REPORT          0x1

FUNCTYPE( INT) DSP32C_SrLoad( char *filename, int report);
FUNCTYPE( INT) DSP32C_WeLoad( char *filename, int report);





/* DECODE.C FUNCTIONS:
 *
 *
 *
 */

FUNCTYPE( VOID) DSP32C_Decode( unsigned long value, char *line);
