@echo off

rem FILE: makeall.bat           Copyright (c), Symmetric Research, 1998-1999
rem
rem Build all of the SR DSP32C software.  See makeall.rpt when done for
rem any errors.  Note that you must have the Microsoft C++ 1.52 compiler
rem installed for this file to run correctly.
rem
rem
rem NOTES:
rem
rem To enable Lucent DSP32C assembler part of the build, define LUCENT
rem below to be "Yes".
rem
rem
rem



echo Building SR DSP32C DOS software ... see makeall.rpt for errors ...
echo.

echo SR DSP32C DOS build report ...                  > MAKEALL.RPT

cd dsptools
nmake /a                                            >> ..\MAKEALL.RPT
if errorlevel 1 goto error

cd ..\dspasm
nmake /a                                            >> ..\MAKEALL.RPT
if errorlevel 1 goto error

cd ..\dspmon
nmake /a                                            >> ..\MAKEALL.RPT
if errorlevel 1 goto error

cd ..\dspmath
nmake /a                                            >> ..\MAKEALL.RPT
if errorlevel 1 goto error

cd ..\examples
nmake /a LUCENT="No"                                >> ..\MAKEALL.RPT
if errorlevel 1 goto error

cd ..\diags
nmake /a                                            >> ..\MAKEALL.RPT
if errorlevel 1 goto error


goto return






rem Return to DOS:
rem
rem
rem

:error

echo An error occurred, see the makeall.rpt report file ...

:return

cd ..

@echo on